Bug 1023413 - input/alps: Dell XT2 ALPS DualPoint TouchPad recognized as PS/2 Mouse instead of touchpad
input/alps: Dell XT2 ALPS DualPoint TouchPad recognized as PS/2 Mouse instead...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 07:19 EDT by Justin Clift
Modified: 2015-07-13 00:35 EDT (History)
7 users (show)

See Also:
Fixed In Version: kernel-3.11.7-100.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 02:55:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Linux kernel patch adding support for Dell XT2 touchpad (1.07 KB, patch)
2013-10-25 07:26 EDT, Justin Clift
no flags Details | Diff

  None (edit)
Description Justin Clift 2013-10-25 07:19:36 EDT
Description of problem:

  At present, the ALPS DualPoint TouchPad is not supported under Linux, being
  recognised as a PS/2 mouse only.

  Tommy Will / Yunkang Tang from ALPS has written a kernel patch adding support
  for it (attached), which he'll submit to the upstream linux-input mailing
  list soon.

  The patch has been tested successfully by Gaspard Jankowiak, a Fedora
  Community member with this hardware.  He used a Fedora 19 kernel built by
  Niels de Vos, with the patch added for this purpose.

  This BZ is mostly for tracking, so that if/when the patch is accepted
  upstream, it can be pulled into the relevant Fedora 19 kernel.


Version-Release number of selected component (if applicable):

  Linux kernel 3.11.x
Comment 1 Justin Clift 2013-10-25 07:23:48 EDT
The feedback from Gaspard (copied from email):

  The touchpad is now recognized, edge scrolling is working, and 
  two-finger scrolling is not.

  dmesg snip:
  [    2.786816] input: AlpsPS/2 ALPS DualPoint TouchPad as 
  /devices/platform/i8042/serio1/input/input5

  Tested with
  Name        : kernel
  Version     : 3.11.6
  Release     : 200.0.bz953211.2.fc19
  Architecture: x86_64

Note - 2 finger scrolling is not supported by the hardware, so this is
as expected. :)
Comment 2 Justin Clift 2013-10-25 07:26:52 EDT
Created attachment 816108 [details]
Linux kernel patch adding support for Dell XT2 touchpad
Comment 3 Josh Boyer 2013-10-25 09:33:52 EDT
Justin, I'm confused.  How is this bug any different from the tracking bug we have for this already, which is bug 953211 ?

Did I miss some subtlety here?
Comment 4 Justin Clift 2013-10-25 09:49:35 EDT
Yeah, they're for different hardware (although still from ALPS).

The patch for BZ 953211 doesn't help with the touchpad on the Dell XT2, thus the patch in this BZ (and it's just a 1-liner).

Is that clearer now? :)
Comment 5 Josh Boyer 2013-10-25 10:23:43 EDT
(In reply to Justin Clift from comment #4)
> Yeah, they're for different hardware (although still from ALPS).
> 
> The patch for BZ 953211 doesn't help with the touchpad on the Dell XT2, thus
> the patch in this BZ (and it's just a 1-liner).

Ah, I see.  I should have just read the patch.  We're just adding a device ID to the existing support here, right?

> Is that clearer now? :)

Yes, thank you.
Comment 6 Justin Clift 2013-10-25 10:37:26 EDT
(In reply to Josh Boyer from comment #5)
> We're just adding a device ID to the existing support here, right?

Yep. :)
Comment 7 Josh Boyer 2013-10-25 10:52:45 EDT
OK.  I'll try and get this added today.  I believe this is queued in the input tree upstream?
Comment 8 Justin Clift 2013-10-25 11:57:24 EDT
Thanks Josh:

The patch was submitted to the linux-input mailing list today:

  http://article.gmane.org/gmane.linux.kernel.input/32484
Comment 9 Josh Boyer 2013-10-25 12:47:43 EDT
Patch applied in Fedora git.
Comment 10 Fedora Update System 2013-11-02 15:14:56 EDT
kernel-3.11.6-302.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kernel-3.11.6-302.fc20
Comment 11 Fedora Update System 2013-11-02 15:20:55 EDT
kernel-3.11.6-201.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/kernel-3.11.6-201.fc19
Comment 12 Fedora Update System 2013-11-02 15:24:23 EDT
kernel-3.11.6-101.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kernel-3.11.6-101.fc18
Comment 13 Fedora Update System 2013-11-03 00:35:26 EDT
Package kernel-3.11.6-101.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.11.6-101.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20545/kernel-3.11.6-101.fc18
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2013-11-04 15:17:21 EST
kernel-3.11.7-300.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kernel-3.11.7-300.fc20
Comment 15 Fedora Update System 2013-11-04 15:20:11 EST
kernel-3.11.7-100.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kernel-3.11.7-100.fc18
Comment 16 Fedora Update System 2013-11-04 21:58:40 EST
kernel-3.11.6-201.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2013-11-05 15:03:34 EST
Package kernel-3.11.7-300.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.11.7-300.fc20'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20705/kernel-3.11.7-300.fc20
then log in and leave karma (feedback).
Comment 18 Fedora Update System 2013-11-10 02:55:39 EST
kernel-3.11.7-300.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2013-11-12 21:14:51 EST
kernel-3.11.7-100.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.